|
メニューの場所 |
---|
Arch → Floor |
ワークベンチ |
Arch |
デフォルトのショートカット |
F L |
導入バージョン |
- |
参照 |
Arch Building, Arch BuildingPart, Arch Site |
説明
Arch Floorは床を作成するのに特に便利な追加プロパティを持った特殊なタイプのです。特徴的なのがheightプロパティを持っていることで、その子オブジェクト(壁や骨組み)ではそれを使ってその高さを自動で設定することができます。
As of 0.18 and above the Arch Floor is derived entirely from the Arch BuildingPart object, which is a general container to organize a building model not limited to floors or storeys. Older Floor objects can be converted to the new type by right clicking on them and choosing Convert to BuildingPart
.
使用方法
#オプションで、新しいフロアに含める1つ以上のオブジェクトを選択します
# Arch Floorボタンを押すか、 F、その後 Lキーを押します
オプション
- After creating a floor, you can add more objects to it by drag and dropping them in the Tree View or by using the
Arch Add tool.
- You can remove objects from a floor by drag and dropping them out of it the Tree View or by using the
Arch Remove tool.
プロパティ
An Arch Floor object shares all properties from an Arch BuildingPart, with the データIfc Type set to "Building Storey"
.
Scripting
スクリプト処理
Floorツールは、マクロやPythonコンソールから次の関数を使って使うことができます:
Floor = makeFloor(objectslist=None, baseobj=None, name="Floor")
- Creates a
Floor
object fromobjectslist
, which is a list of objects.
例題:
import FreeCAD, Draft, Arch
p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()
Floor = Arch.makeFloor([Wall1, Wall2])
Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()
このページは以下から取得されています https://wiki.freecad.org/Arch_Floor